Package ghidra.formats.gfilesystem

# Class FileCache.FileCacheEntryBuilder

java.lang.Object
java.io.OutputStream
ghidra.formats.gfilesystem.FileCache.FileCacheEntryBuilder

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Enclosing class:
  `FileCache`

public class FileCache.FileCacheEntryBuilder extends OutputStream
Allows creating `file cache entries` at the caller's convenience.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected void`
  `finalize()`
  `FileCache.FileCacheEntry`
  `finish()`
  Finalizes this builder, pushing the bytes that have been written to it into the FileCache.
  `void`
  `flush()`
  `void`
  `write(byte[] b)`
  `void`
  `write(byte[] b, int off, int len)`
  `void`
  `write(int b)`

  ### Methods inherited from class java.io.OutputStream

  `nullOutputStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### finalize

    protected void finalize() throws Throwable
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`

  - ### write

    public void write(int b) throws IOException
    Specified by:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b) throws IOException
    Overrides:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b, int off, int len) throws IOException
    Overrides:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### flush

    public void flush() throws IOException
    Specified by:
      `flush` in interface `Flushable`
    Overrides:
      `flush` in class `OutputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `OutputStream`
    Throws:
      `IOException`

  - ### finish

    public FileCache.FileCacheEntry finish() throws IOException
    Finalizes this builder, pushing the bytes that have been written to it into the FileCache.
    Returns:
      new `FileCache.FileCacheEntry`
    Throws:
      `IOException` - if error